Project

General

Profile

Task #2520

Askbot Enhancement: Force user to inform OS and LO version before posting a question

Added by Olivier Hallot 8 months ago. Updated 6 months ago.

Status:
New
Priority:
Low
Category:
-
Target version:
Team - Qlater
Start date:
Due date:
% Done:

0%

Estimated time:
Tags:
Documentation
URL:

Description

Average Askbot user has little knowledge on operating systems and software version (especilly LibreOffice version). Perhaps users also just forget to mention. We have many Askbot post with issues where no OS and version is informed, so volunteers must ask for these 2 infos before attempting to aswer.

This enhancement, if implemented, will force user to indicate OS and version before submitting the question.

Note that users can't post without indicating the LO module (calc, writer, impress... ) in the tag list.

History

#1 Updated by Florian Effenberger 8 months ago

  • Assignee changed from Florian Effenberger to Guilhem Moulin

Is that something we could do by showing a customized message?
Right now, we have no budget for further custom development on AskBot actually

#2 Updated by Florian Effenberger 7 months ago

Is that something we could do by showing a customized message?
Right now, we have no budget for further custom development on AskBot actually

Olivier, is that an option? Do you if AskBot provides for that?

#3 Updated by Florian Effenberger 7 months ago

Florian Effenberger wrote:

Is that something we could do by showing a customized message?
Right now, we have no budget for further custom development on AskBot actually

Olivier, is that an option? Do you if AskBot provides for that?

"Do you know if AskBot provides for that?", of course :)

#4 Updated by Olivier Hallot 7 months ago

I have pretty much traversed the Askbot management screens (as moderator), and I have not seen it. If it exits, and is somehow in a obscure place in the moderator UI, I'm sure Evgeny will tell us how to do.

One suggestion: Pick info from the browser request when submitting the original (new) question, and append it to the bottom of the text (*). I bet it will match 99% of the situations.

(*) All GPRD info compliant :-)

#5 Updated by Olivier Hallot 7 months ago

Err... my suggestion is not as good as I thought: the browser header will not tell the LibreOffice version. Please forget it.

#6 Updated by Florian Effenberger 6 months ago

  • Priority changed from Normal to Low
  • Target version set to Qlater

We likely have no budget for that at the momet, so unless we find a volunteer Python developer to work on this and contribute upstream, putting this to later

Also available in: Atom PDF